package com.ywt.outpatient.api.resp;

/**
 * @author Walker
 * Created on 2020/9/23
 */
public class CacheKeyResp {
    private Integer id;

    /**
     * 缓存键名称
     */
    private String key;

    /**
     * 缓存类型：0-GuavaCache, 1-Redis
     */
    private Integer cacheType;

    /**
     * 调用方式：0-local, 1-grpc, 2-rest
     */
    private Integer callType;

    /**
     * 键匹配模式：0-match, 1-pattern
     */
    private Integer keyType;

    /**
     * 别名
     */
    private String alias;

    /**
     * 备注
     */
    private String remark;

    /**
     * grpc/rest 调用需要指定服务方法名称
     */
    private String methodName;

    private Boolean deleted;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public Integer getCacheType() {
        return cacheType;
    }

    public void setCacheType(Integer cacheType) {
        this.cacheType = cacheType;
    }

    public Integer getCallType() {
        return callType;
    }

    public void setCallType(Integer callType) {
        this.callType = callType;
    }

    public Integer getKeyType() {
        return keyType;
    }

    public void setKeyType(Integer keyType) {
        this.keyType = keyType;
    }

    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getMethodName() {
        return methodName;
    }

    public void setMethodName(String methodName) {
        this.methodName = methodName;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }
}
